Uploaded image for project: 'ActiveMQ'
  1. ActiveMQ
  2. AMQ-5932

ActiveMQ-OSGI should not depend on spring-dm

    XMLWordPrintableJSON

Details

    • New Feature
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 5.13.0
    • 5.15.0
    • OSGi/Karaf
    • None

    Description

      Hi,

      Spring-dm is deprecated for a long time, also it has a strong dependency to spring-3, so all newest spring 4 versions are difficult to use, and that is blocker for some other frameworks (i.e. thinking about cxf, spring-data).
      Also amq 5.9 didn't depend on spring-dm so it should be possible to get rid of this dep.

      Regards,
      Charlie

      Attachments

        Issue Links

          Activity

            People

              cshannon Christopher L. Shannon
              tcharl Charlie Mordant
              Votes:
              3 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: